Scriptname xxxALTBloodMagicScript extends activemagiceffect  

actor target

Float mag = 0.25
Float damage

Perk Property xxxALTBloodSacrificePerk Auto
Perk Property xxxALTBloodWound Auto

Armor property MS11NecromancerAmulet Auto

FormList Property xxxALTBloodMagicSpells Auto

Event OnEffectStart(actor t, actor c)
	target = t

	if t.hasperk(xxxALTBloodWound)
		mag -= 0.04
	elseif t.hasperk(xxxALTBloodSacrificePerk)
		mag -= 0.02
	endif

	if t.isEquipped(MS11NecromancerAmulet)
		mag -= 0.05
	endif

	;	damage = t.getAV("health") * mag
EndEvent

Event OnEffectFinish(actor t, actor c)
	target = none
EndEvent

Event OnSpellCast(Form s)

	if (!(xxxALTBloodMagicSpells.hasForm(s)) && s as spell)

		damage = (s as Spell).getMagickaCost() * mag

		target.damageAV("health", damage)
		game.advanceskill("Alteration", 3)
	endif
EndEvent
