Scriptname xxxCONBoneMasterySkeletonOverlord extends activemagiceffect  

Message Property mNotEnough Auto

MiscObject Property iBoneArm Auto
MiscObject Property iBoneHand Auto
MiscObject Property iBoneLeg Auto
MiscObject Property iBoneFoot Auto
MiscObject Property iBoneSkull Auto
MiscObject Property iBoneRibcage Auto

Ingredient Property iHeart Auto

SoulGem Property soulGemGreater Auto
SoulGem Property soulGemGrand Auto
SoulGem Property soulGemBlack Auto

GlobalVariable Property xxxCONBoneMasteryDestroyedSkeletons Auto

ActorBase property aSkeleton Auto

FormList Property xxxCONZombieList Auto

Spell Property xxxCONBoneMasteryDestroySkeletonsSpell Auto

Explosion Property xxxCONSummonSkeletonOverlordExplosion Auto

Armor Property MS11NecromancerAmulet Auto

Event OnEffectStart(Actor t, Actor c)
	if (t.getItemCount(iHeart) >= 1) && (t.getItemCount(iBoneArm) >= 2) && (t.getItemCount(iBoneLeg) >= 2) && (t.getItemCount(iBoneHand) >= 2) && (t.getItemCount(iBoneFoot) >= 2) && (t.getItemCount(iBoneSkull) >= 1) && (t.getItemCount(iBoneRibcage) >= 1) &&( (t.getItemCount(soulGemGreater) >= 1) || (t.getItemCount(soulGemGrand) >= 1) || (t.getItemCount(soulGemBlack) >= 1))

		Game.DisablePlayerControls(True, True, True, False, True, False, True)


		xxxCONBoneMasteryDestroySkeletonsSpell.cast(t,t)

		Utility.wait(2.0)

		if (xxxCONBoneMasteryDestroyedSkeletons.getValue() < 1)
			Debug.notification("You need to sacrifice skeletons to summon overlords.")
			Game.EnablePlayerControls()
			return
		endif



		t.removeItem(iBoneArm,2)
		t.removeItem(iBoneLeg,2)
		t.removeItem(iBoneFoot,2)
		t.removeItem(iBoneHand,2)
		t.removeItem(iBoneSkull,1)
		t.removeItem(iBoneRibcage,1)
		t.removeitem(iHeart, 1)

		if (t.getItemCount(soulGemGreater) >= 1)
			t.removeItem(soulGemGreater,1)
		elseif(t.getItemCount(soulGemGrand) >= 1)
			t.removeItem(soulGemGrand,1)
		else
			t.removeItem(soulGemBlack,1)
		endif

		Actor newSkeleton = t.placeatme(aSkeleton, 1) as actor

		newSkeleton.setAV("aggression", 0)

		newSkeleton.placeAtMe(xxxCONSummonSkeletonOverlordExplosion)

		;buff it

		float boost = 100.0 * (xxxCONBoneMasteryDestroyedSkeletons.getValue() - 1)

		newSkeleton.modav("health", boost)
		newSkeleton.modav("stamina", boost)		
		newSkeleton.modav("magicka", boost)

		xxxCONBoneMasteryDestroyedSkeletons.setValue(0)

		if c.isEquipped(MS11NecromancerAmulet)
			newSkeleton.modav("health", 100)
		endif

		;track it
		xxxConZombieList.addForm(newSkeleton)
		game.advanceskill("Conjuration",50)
		Game.EnablePlayerControls()
	else
		mNotEnough.show()
	endif
EndEvent


