Scriptname xxxCONPromiseOfPower extends activemagiceffect  

actor target
actor caster

Activator property FXEmptyActivator auto

Spell Property xxxCONDeadThrall Auto
Spell Property xxxCONPromiseOfPowerLearnSpell Auto

Explosion Property xxxCONMarkOfDecayExplosion Auto

Perk Property xxxCONGravebound1 Auto
Perk Property xxxCONSpiritboundReanimationPerk Auto

FormList Property xxxSpellListPromiseOfPower Auto

Event OnEffectStart(actor t, actor c)
	target = t
	caster = c
EndEvent

Event OnDying(actor k)

	int levelThreshold = caster.getLevel()
	if caster.hasPerk(xxxCONGravebound1)
		levelThreshold += 1
	endif

	if levelThreshold > target.getLevel()
		RegisterForSingleUpdate(3.0)
	else
		Debug.notification("Your level is too high to revive the target with this spell.")
		target = none
		caster = none
	endif
EndEvent

Event OnUpdate()
	ObjectReference newRef = target.placeatme(FXEmptyActivator)
	target.placeatme(xxxCONMarkOfDecayExplosion)
	newRef.moveTo(target, 0, 0, 300)
	int pos =xxxSpellListPromiseOfPower.GetSize()
	Spell s

	While(pos > 0)
		pos -= 1
		s = xxxSpellListPromiseOfPower.getAt(pos) as Spell
		if caster.hasSpell(s)
			target.addspell(s)
			xxxCONPromiseOfPowerLearnSpell.cast(newRef, target)
			newRef.moveTo(target, 0, 0, 300)
		endif
	EndWhile

	newRef.moveTo(target, 0, 0, 20)
	xxxCONDeadThrall.remotecast(newRef, caster, target)

	newRef.disable()
	newRef.delete()

	target = none
	caster = none

	dispel()
EndEvent