Scriptname xxxCONSevenSouls extends activemagiceffect  

ActorBase[] property possibleCarcasses auto

Activator property FXEmptyActivator auto

Spell Property xxxCONSevenSoulsReanimateSpell Auto
Spell Property xxxCONPromiseOfPowerLearnSpell Auto

Race Property DraugrRace Auto

Explosion Property xxxCONSevenSoulsExplosion Auto

Perk property darksouls auto
Perk Property xxxCONSevenSoulsTemporaryPerk Auto

Event OnEffectStart(actor t, actor c)

	t.addPerk(xxxCONSevenSoulsTemporaryPerk)

	int toSummon = 7
	int position = -1

	ObjectReference newRef = t.placeatme(FXEmptyActivator)
	Actor carcassRef

	float r = 150
 	float offx = r
 	float offy = 0.0
 	float count = 1.0
 	float degree = 360 / toSummon


	while (toSummon > 0)
			
		int rand = utility.randomInt(1,3)
		position = position + rand 

		newRef.moveTo(t,offx, offy)

		carcassRef = newRef.placeAtMe(possibleCarcasses[position]) as actor

		carcassRef.damageAV("health", 1000)
		carcassRef.kill()

  		offx = r * math.cos(degree * toSummon)
 		offy = r * math.sin(degree * toSummon)

		newRef.moveTo(carcassRef, 0, 0,500)

		utility.wait(0.25)

		xxxCONPromiseOfPowerLearnSpell.cast(newRef, carcassRef)

		if t.hasperk(DarkSouls)
			carcassRef.modav("health", 100)
		endif

		toSummon -= 1

		utility.wait(0.25)

	endWhile

	t.placeAtMe(xxxCONSevenSoulsExplosion)
	xxxCONSevenSoulsReanimateSpell.cast(t,t)

	t.removeperk(xxxCONSevenSoulsTemporaryPerk)

	newRef.disable()
	newRef.delete()

EndEvent

