Scriptname xxxCONSpiritboundReanimation extends activemagiceffect  

actor target
actor caster

Activator property FXEmptyActivator auto

Spell Property xxxCONDeadThrall Auto

Explosion Property xxxCONMarkOfDecayExplosion Auto

Perk Property xxxCONGravebound1 Auto
Perk Property xxxCONSpiritboundReanimationPerk Auto

Event OnEffectStart(actor t, actor c)
	target = t
	caster = c
EndEvent

Event OnDying(actor k)

	int levelThreshold = caster.getLevel()
	if caster.hasPerk(xxxCONGravebound1)
		levelThreshold += 1
	endif

	if levelThreshold > target.getLevel()
		RegisterForSingleUpdate(3.0)
	else
		Debug.notification("Your level is too low to revive the target as spirit.")
		target = none
		caster = none
	endif
EndEvent

Event OnUpdate()
	ObjectReference newRef = target.placeatme(FXEmptyActivator)
	newRef.moveTo(target, 0, 0, 20)
	target.placeatme(xxxCONMarkOfDecayExplosion)

	utility.wait(0.5)
	xxxCONDeadThrall.remotecast(newRef, caster, target)
	target.setAlpha(0.28)
	target.addPerk(xxxCONSpiritboundReanimationPerk)

	newRef.disable()
	newRef.delete()

	target = none
	caster = none
EndEvent
