Scriptname xxxCombatModificationsDistribution extends ActiveMagicEffect  

Actor a1
Actor a2
Actor a3

Actor property playerref Auto

Event OnEffectStart(actor t, actor c)
	RegisterforSingleUpdate(2.0)
EndEvent

Event OnUpdate()
	a1 = Game.FindRandomActorFromRef(playerref, 1500)
	a2 = Game.FindRandomActorFromRef(playerref, 2000)
	a3 = Game.FindRandomActorFromRef(playerref, 3000)

	If (a1) && !a1.HasSpell(sCombat)  && !(a1.IsDead()) && (a1.getActorBase())
		a1.AddSpell(sCombat)
	EndIf

	If (a2) && !a2.HasSpell(sCombat) && !(a2.IsDead()) && (a2.getActorBase())
		a2.AddSpell(sCombat)
	EndIf

	If (a3) && !a3.HasSpell(sCombat) && !(a3.IsDead()) && (a3.getActorBase())
		a3.AddSpell(sCombat)
	EndIf

	RegisterforSingleUpdate(2.0)

EndEvent

Spell Property sCombat Auto
