Scriptname xxxILLGreaterCharm extends activemagiceffect  

bool property bMakePlayerTeammate = true auto
Faction property MagicAllegianceFaction Auto
Faction Property PotentialFollowerFaction Auto

int oldRelationshipRank = 0

Event OnEffectStart(Actor akTarget, Actor akCaster)
	if (aktarget.getLevel() < akCaster.getLevel())
	akTarget.AddToFaction(MagicAllegianceFaction)
	akTarget.AddToFaction(PotentialFollowerFaction)
	akCaster.StopCombat()
	akTarget.StopCombat()
	if bMakePlayerTeammate
		oldRelationshipRank = akTarget.getRelationshipRank(akCaster)
		akTarget.setRelationshipRank(akCaster, 4)
		akTarget.SetPlayerTeammate(true, false)
	endif
	else
		Debug.notification("The target is too strong.")
		self.dispel()
	endif
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	akTarget.RemoveFromFaction(MagicAllegianceFaction)
	akTarget.RemoveFromFaction(PotentialFollowerFaction)
	if bMakePlayerTeammate
		akTarget.setRelationshipRank(akCaster, oldRelationshipRank)
		akTarget.SetPlayerTeammate(false, false)
	endif
EndEvent
