Scriptname xxxILLGreaterPhantomImpact extends activemagiceffect  

String Property AV1 auto
String Property AV2 auto
String Property AV3 auto

Float Property damage auto

Float Property regenFactor = 1.0 Auto

Event OnEffectStart(actor t, actor c)
	t.damageAV(AV1, damage)
	t.modav(AV1, (-1*damage))
	t.damageAV(AV2, damage)
	t.modav(AV2, (-1*damage))
	t.damageAV(AV3, damage)
	t.modav(AV3, (-1*damage))
EndEvent

Event OnEffectFinish(actor t, actor c)
	t.modav(AV1, damage*regenFactor)
	t.restoreAV(AV1, damage*regenFactor)
	t.modav(AV2, damage*regenFactor)
	t.restoreAV(AV2, damage*regenFactor)
	t.modav(AV3, damage*regenFactor)
	t.restoreAV(AV3, damage*regenFactor)
EndEvent
