Scriptname xxxILLTasteOfMadness extends ObjectReference  

Int Property pCount  Auto

Potion Property xxxILLTasteOfMadnessCheeseWheel Auto

Spell Property xxxILLTasteOfMadnessCheeseWheelSpell Auto

Float Property distanceZ Auto
Float Property maxDistanceX = 0.0 Auto
Float Property maxDistanceY = 0.0 Auto

Float Property timeInterval = 0.0 Auto

Float Property detonateTimer = 3.0 Auto

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; maximum 20 wheels

	ObjectReference[] wheels

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Event OnLoad()

	wheels = new ObjectReference[20]

	int placed = 0
	float dX
	float dY
	ObjectReference currentMissile

	;Debug.notification("A: " + self.getPositionX() + " "+  self.getPositionY() + " "+ self.getPositionZ())

; place cheese

	while (placed != pCount)

		dx = Utility.randomfloat(0, maxDistanceX)
		dY = Utility.randomfloat(0, maxDistanceY)

		currentMissile = self.placeAtMe(xxxILLTasteOfMadnessCheeseWheel)
		currentMissile.moveTo(self, dx, dx, distanceZ)

		wheels[placed] = currentMissile
		
		placed += 1

		Utility.wait(timeInterval)

	endwhile

; explode

	RegisterForSingleUpdate(detonateTimer)

EndEvent



Event OnUpdate()
		int detonated = 0

	while (detonated != pCount)
		xxxILLTasteOfMadnessCheeseWheelSpell.cast(wheels[detonated], wheels[detonated])

		wheels[detonated].delete()

		Utility.wait(timeInterval)
		detonated += 1
		
	endwhile

	self.delete()
EndEvent
