Scriptname xxxLightWeaponryMasterfulFencer extends activemagiceffect  

float timer
actor target

Event onEffectStart(Actor akTarget, Actor akCaster)
	target = akTarget
	if (aktarget.getEquippedWeapon().hasKeyword(kwLongsword))
		target.addPerk(pInvincibility)
	endif
	RegisterForSingleUpdate(gTolerance.getValue())
EndEvent

Event onUpdate()
	target.removePerk(pInvincibility)
EndEvent

Event onEffectFinish(Actor akTarget, Actor akCaster)
	timer = 0
	UnregisterForUpdate()
EndEvent

Keyword Property kwLongsword Auto

Perk Property pInvincibility Auto

GlobalVariable Property gTolerance Auto