Scriptname xxxListTeleport extends activemagiceffect  

FormList Property xxxList Auto
Explosion Property xxxExplosion Auto

Event OnEffectStart(actor t, actor c)

	bool WasCleaned = true

	while WasCleaned
		WasCleaned = cleanupList()
	endwhile

	; actual teleport
	int pos = xxxList.GetSize()
	Actor o = none;

	float r = 70.0 + 30*pos      ;circle radius
 	float offx = r
 	float offy = 0.0
 	float count = 1.0
 	float degree = 360 / (pos +1)

	While(pos > 0)
		o = xxxList.getAt(pos) as Actor
		pos -= 1
		o.placeAtMe(xxxExplosion)
		o.moveTo(t,offx,offy)
  		offx = r * math.cos(degree * count)
 		offy = r * math.sin(degree * count)
 		count +=1.0
		o.placeAtMe(xxxExplosion)
	EndWhile
EndEvent

bool function cleanupList()
	int pos = xxxList.GetSize()
		While(pos > 0)
			Actor o = xxxList.getAt(pos) as Actor
			if o.isDead()
				xxxList.removeAddedForm(o)
				return true
			else 
				pos -= 1
			endif
		endwhile
		return false
EndFunction
