Scriptname xxxMarksmanshipArrowhail extends activemagiceffect  

Float Timer = 10.0

int iHitCount = 0

Actor target
Actor a

Event OnEffectStart(actor t, actor c)
	t.addToFaction(fArrowhail)
	target = t
	RegisterForSingleUpdate(timer)
EndEvent

Event OnUpdate()
	target.removeFromFaction(fArrowhail)
	self.dispel()
EndEvent

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked)
	a = akaggressor as actor
	If a
		if (a.hasperk(pArrowhail) && akSource.hasKeyword(kwBow) && !akSource.hasKeyword(kwLongBow))
			target.damageAV("health", iHitCount*iBaseDamage)
			iHitCount += 1
			UnregisterForUpdate()
			RegisterForSingleUpdate(timer)
		endif
	endif
EndEvent

Event OnEffectFinish(actor t, actor c)
	t.removeFromFaction(fArrowhail)
	UnregisterForUpdate()
EndEvent

Perk Property pArrowhail Auto

int Property iBaseDamage Auto

Faction Property fArrowhail Auto

Keyword Property kwLongbow Auto
Keyword Property kwBow Auto
