Scriptname xxxRacialDarkElfAncestorsFuryScript extends activemagiceffect  
{casts shockwave, summons ancestors}

import ImageSpaceModifier

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked )

if akAggressor as actor

Actor target = self.getTargetActor()

	If (AFOnCooldown.GetValue() <  GameDaysPassed.GetValue() && (target == game.getPlayer()) && (target.getActorValuePercentage("Health") < 0.3) && !target.isEssential() && !target.isdead())
		AFOnCooldown.setValue(GameDaysPassed.GetValue() + 1.0)
		target.addperk(pConj)
		sAFShockwave.cast(target)

		imsAF.applyCrossFade(2)
		Utility.wait(1.0)
		
		sAFSummonWarrior.cast(target)
		sAFSummonCaster.cast(target)
		RegisterForSingleUpdate(60)
	endif	

endif
endEvent

Event OnUpdate()
	game.getplayer().removeperk(pConj)
	RemoveCrossFade(3)
Endevent

GlobalVariable Property AFOnCooldown Auto
GlobalVariable Property GameDaysPassed Auto

Spell Property sAFSummonCaster Auto
Spell Property sAFSummonWarrior Auto
Spell Property sAFShockwave Auto

Perk Property pConj Auto

ImageSpaceModifier Property imsAF Auto 
