Scriptname xxxRestorationCurse extends activemagiceffect 

float radius = 200.0
int attempts = 1

actor target
actor caster

actor newTarget

Event OnEffectStart(actor t, actor c)
	target = t
	caster = c
	if game.getPlayer().hasperk(xxxRESMarked1)
		radius += 400.0
		attempts += 2
	elseif game.getPlayer().hasperk(xxxRESMarked0)
		radius += 200.0
		attempts += 1
	endif
EndEvent

Event OnDying(actor killer)
	while (attempts > 0)
		newTarget = game.findrandomactorfromref(target, radius)
		if (newtarget != None) && (newTarget.getActorBase()) && (newTarget != game.getPlayer())
			sCurse.cast(newtarget, newtarget)
			attempts = 0
		else
			attempts -= 1
		endif
	endwhile
EndEvent 


perk Property xxxRESMarked0 Auto
perk Property xxxRESMarked1 Auto

Spell Property sCurse Auto