Scriptname xxxRestorationSpiritGuideSecondary extends activemagiceffect  

Actor caster

Race targetRace

Spell sSecondary

Event OnEffectStart(actor t, actor c)
	Utility.wait(1.0)
	caster = c
	targetrace = t.getRace()
	t.SetPlayerTeammate()
	chooseSecondarySpell(targetRace)
	c.addSpell(sSecondary)
EndEvent

Event OnEffectFinish(actor t, actor c)
	caster.removeSpell(sSecondary)
EndEvent

Event OnDying(actor killer)
	caster.removeSpell(sSecondary)
	caster.damageAV("health", caster.getAV("health")*0.5)
EndEvent

Function chooseSecondarySpell(Race r)
	if (r == rFox)
		sSecondary = sFox
	elseif (r == rWolf)
		sSecondary = sWolf
	elseif (r == rDeer)
		sSecondary = sDeer
	elseif (r == rChaurus)
		sSecondary = sChaurus
	elseif (r == rMammoth)
		sSecondary = sMammoth
	elseif (r == rTroll)
		sSecondary = sTroll
	elseif (r == rTrollSnow)
		sSecondary = sTrollSnow
	elseif (r == rChicken)
		sSecondary = sChicken
	elseif (r == rCow)
		sSecondary = sCow
	elseif (r == rSabrecat)
		sSecondary = sSabrecat
	elseif (r == rBearBlack)
		sSecondary = sBearBlack
	elseif (r == rBearBrown)
		sSecondary = sBearBrown
	elseif (r == rBearSnow)
		sSecondary = sBearSnow
	elseif (r == rChaurusReaper)
		sSecondary = sChaurusReaper
	elseif (r == rDog)
		sSecondary = sDog
	elseif (r == rElk)
		sSecondary = sElk
	elseif (r == rHare)
		sSecondary = sHare
	elseif (r == rHorker)
		sSecondary = sHorker
	elseif (r == rGoat)
		sSecondary = sGoat
	elseif (r == rIceWraith)
		sSecondary = sIceWraith
	elseif (r == rMudcrab)
		sSecondary = sMudcrab
	elseif (r == rSabrecatSnow)
		sSecondary = sSabrecatSnow
	elseif (r == rSkeever)
		sSecondary = sSkeever
	elseif (r == rSkeeverWhite)
		sSecondary = sSkeeverWhite
	elseif (r == rfrostbiteSpider)
		sSecondary = sFrostbiteSpider
	elseif (r == rfrostbiteSpiderLarge)
		sSecondary = sFrostbiteSpiderLarge
	elseif (r == rfrostbiteSpiderGiant)
		sSecondary = sFrostbiteSpiderGiant
	else
		sSecondary = sDefault
	endif
EndFunction

Race Property rFox Auto
Race Property rWolf Auto
Race Property rDeer Auto
Race Property rChaurus Auto
Race Property rChaurusReaper Auto
Race Property rMammoth Auto
Race Property rTroll Auto 
Race Property rTrollSnow Auto
Race Property rChicken Auto
Race Property rCow Auto
Race Property rSabrecat Auto
Race Property rDog Auto
Race Property rBearBlack Auto
Race Property rBearBrown Auto
Race Property rBearSnow Auto
Race property rElk Auto
Race property rHare Auto
Race Property rHorker Auto
Race property rMudcrab Auto
Race Property rSabrecatSnow Auto
Race Property rSkeever Auto
Race Property rSkeeverWhite Auto
Race Property rFrostbiteSpider Auto
Race Property rFrostbiteSpiderLarge Auto
Race Property rFrostbiteSpiderGiant Auto
Race Property rGoat Auto
race Property rIceWraith Auto

Spell Property sFox Auto
Spell Property sWolf Auto
Spell Property sDeer Auto
Spell Property sChaurus Auto
Spell Property sChaurusReaper Auto
Spell Property sMammoth Auto
Spell Property sTroll Auto 
Spell Property sTrollSnow Auto
Spell Property sChicken Auto
Spell Property sCow Auto
Spell Property sSabrecat Auto 
Spell Property sDog Auto 
Spell Property sBearBlack Auto
Spell Property sBearBrown Auto
Spell Property sBearSnow Auto
Spell Property sElk Auto 
Spell Property sHare Auto 
Spell Property sHorker Auto
Spell Property sMudcrab Auto
Spell Property sSabrecatSnow Auto
Spell Property sSkeever Auto
Spell Property sSkeeverWhite Auto
Spell Property sFrostbiteSpider Auto
Spell Property sFrostbiteSpiderLarge Auto
Spell Property sFrostbiteSpiderGiant Auto
Spell Property sGoat Auto
Spell Property sIceWraith Auto

Spell Property sDefault Auto

Spell Property sCalm Auto
