Scriptname xxxSNEEquipMaskEffect extends activemagiceffect  

xxxSneakQuestScript Property questScript auto
Spell Property SneakToolsCheckDetectionSpell auto
Spell Property SneakToolsWearingMaskAbility auto
Actor Property playerRef auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
If(akTarget == playerRef)
		playerRef.AddSpell(SneakToolsWearingMaskAbility, false)
		If(questScript.playerBusted)
			questScript.SneakToolsEquipFaceMaskFunction()
			return
		EndIf
		SneakToolsCheckDetectionSpell.Cast(playerRef, playerRef)
		If(questScript.detected)
			questScript.SneakToolsEquipFaceMaskFunction()
			return
		EndIf
		Utility.Wait(1)
		SneakToolsCheckDetectionSpell.Cast(playerRef, playerRef)
		If(questScript.detected)
			questScript.SneakToolsEquipFaceMaskFunction()
			return
		EndIf
		Utility.Wait(1)
		SneakToolsCheckDetectionSpell.Cast(playerRef, playerRef)
		If(questScript.detected)
			questScript.SneakToolsEquipFaceMaskFunction()
			return
		EndIf
		Utility.Wait(1)
		SneakToolsCheckDetectionSpell.Cast(playerRef, playerRef)
		questScript.SneakToolsEquipFaceMaskFunction()
EndIf
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
If(akTarget == playerRef)
		playerRef.RemoveSpell(SneakToolsWearingMaskAbility)
		SneakToolsCheckDetectionSpell.Cast(playerRef, playerRef)
		If(questScript.detected)
			questScript.SneakToolsUnequipFaceMaskFunction()
			return
		EndIf
		Utility.Wait(1)
		SneakToolsCheckDetectionSpell.Cast(playerRef, playerRef)
		If(questScript.detected)
			questScript.SneakToolsUnequipFaceMaskFunction()
			return
		EndIf
		Utility.Wait(1)
		SneakToolsCheckDetectionSpell.Cast(playerRef, playerRef)
		If(questScript.detected)
			questScript.SneakToolsUnequipFaceMaskFunction()
			return
		EndIf
		Utility.Wait(1)
		SneakToolsCheckDetectionSpell.Cast(playerRef, playerRef)
		questScript.SneakToolsUnequipFaceMaskFunction()
EndIf
EndEvent

