Scriptname xxxSNEWaterArrow extends ObjectReference  


int hazardRemovalMethod = 0	;0 = disable, 1 = move under ground
int lightRemovalMethod = 0		;0 = disable, 1 = move under ground
ObjectReference originalLight = None
bool hazardExtinguished = false
ObjectReference fireRef = None

FormList Property SneakToolsCandlesONFormList auto
FormList Property SneakToolsFiresONFormList auto
FormList Property SneakToolsTorchesONFormList auto
FormList Property SneakToolsFireLightsFormList auto

Event OnInit()
	int formListIndex = -1
	int fireType = 2

	xxxSNEFireExtinguisherScript extinguisher = None
	fireRef = Game.FindClosestReferenceOfAnyTypeInListFromRef(SneakToolsCandlesONFormList, self, 50)

	If(fireRef != None  && formListIndex < 0)
		formListIndex=getFormListIndex(SneakToolsCandlesONFormList, fireRef.getBaseObject())
		extinguisher = (fireRef.placeAtMe(Game.GetFormFromFile(0x000748ED, "SkyRe_Main.esp")) as xxxSNEFireExtinguisherScript)
		extinguisher.extinguishFire(fireType, fireRef, formListIndex)
		cleanup()
		return
	Else
		fireRef = Game.FindClosestReferenceOfAnyTypeInListFromRef(SneakToolsFiresONFormList , self, 50)
		fireType = 4
	EndIf

	If(fireRef != None && formListIndex < 0)
		formListIndex=getFormListIndex(SneakToolsFiresONFormList, fireRef.getBaseObject())
		extinguisher = (fireRef.placeAtMe(Game.GetFormFromFile(0x000748ED, "SkyRe_Main.esp")) As xxxSNEFireExtinguisherScript)
		extinguisher.extinguishFire(fireType, fireRef, formListIndex)
		cleanup()
		return
	Else
		fireRef = Game.FindClosestReferenceOfAnyTypeInListFromRef(SneakToolsTorchesONFormList , self, 50)
		fireType = 6
	EndIf

	If(fireRef != None && formListIndex < 0)
		formListIndex=getFormListIndex(SneakToolsTorchesONFormList, fireRef.getBaseObject())
		extinguisher = (fireRef.placeAtMe(Game.GetFormFromFile(0x000748ED, "SkyRe_Main.esp")) As xxxSNEFireExtinguisherScript)
		extinguisher.extinguishFire(fireType, fireRef, formListIndex)
		cleanup()
		return
	EndIf

	If(fireRef == None)
		fireRef = Game.FindClosestReferenceOfTypeFromRef(Game.GetForm(0x00057A8C), self, 50)
	EndIf

	If(fireRef != None)
		hazardExtinguished = true
		originalLight = Game.FindClosestReferenceOfAnyTypeInListFromRef(SneakToolsFireLightsFormList, fireRef, 400)
		
		fireRef.Disable()
		If(!fireRef.IsDisabled())
			fireRef.SetPosition(fireRef.GetPositionX(), fireRef.GetPositionY(), fireRef.GetPositionZ() - 10000)
			hazardRemovalMethod = 1
		Else
			hazardRemovalMethod = 0
		EndIf

		If(originalLight != None)
			originalLight.Disable()
			If(!originalLight.IsDisabled())
				originalLight.SetPosition(originalLight.GetPositionX(), originalLight.GetPositionY(), originalLight.GetPositionZ() - 10000)
				lightRemovalMethod=1
			Else
				lightRemovalMethod=0
			EndIf
		EndIf
		RegisterForSingleUpdateGameTime(24)
		return
	Else
		cleanup()
	EndIf
EndEvent

int Function getFormListIndex(FormList list, Form object)
	int index=0
	int size = list.GetSize()
	while(index < size)
		If(list.GetAt(index) == object)
			return index
		Else
			index+=1
		EndIf
	EndWhile
	return -1
EndFunction

Function cleanup()
Disable()
Delete()
EndFunction

Event OnUpdateGameTime()
	If(fireRef.IsNearPlayer())
		RegisterForSingleUpdateGameTime(24)
		return
	Else
		If(hazardRemovalMethod == 0)
			fireRef.Enable()
		Else
			fireRef.SetPosition(fireRef.GetPositionX(), fireRef.GetPositionY(), fireRef.GetPositionZ() + 10000)
		EndIf
		If(lightRemovalMethod == 0)
			originalLight.Enable()
		Else
			originalLight.SetPosition(originalLight.GetPositionX(), originalLight.GetPositionY(), originalLight.GetPositionZ() + 10000)
		EndIf
		cleanup()
	EndIf
EndEvent
