Scriptname xxxVampireDisease extends ActiveMagicEffect  

Event OnUpdate()

	;Make sure the player is out of combat, then trigger change
	If Game.GetPlayer().GetCombatState() == 0 && Game.IsMovementControlsEnabled() && Game.IsFightingControlsEnabled()
		VampireSleepMessage.Show()
				Game.advanceSkill("lockpicking", iSkillAdvance*3)
		PlayerVampireQuest.VampireChange(Game.GetPlayer())
	Else
		RegisterForSingleUpdate(10)
	EndIf

EndEvent

Event OnUpdateGameTime()

	If GameHour.GetValueInt() == 5
		VampireSunriseMessage.Show()		
		VampireTransformDecreaseISMD.applyCrossFade(2.0)
		utility.wait(2.0)
		imageSpaceModifier.removeCrossFade()
				Game.advanceSkill("lockpicking", iSkillAdvance)
	EndIf
	
	If GameHour.GetValueInt() == 19
		VampireSunsetMessage.Show()
		VampireTransformIncreaseISMD.applyCrossFade(2.0)
		utility.wait(2.0)
		imageSpaceModifier.removeCrossFade()
				Game.advanceSkill("lockpicking", iSkillAdvance*2)
	EndIf
	
	If GameDaysPassed.Value >= VampireChangeTimer
		UnRegisterForUpdateGameTime()
				Game.advanceSkill("lockpicking", iSkillAdvance*3)
		RegisterForSingleUpdate(10)
	EndIf
EndEvent


Event OnEffectStart(Actor Target, Actor Caster)

	;Player has three days before he becomes a Vampire	
	If Target == Game.GetPlayer()
		RegisterForUpdateGameTime(1)
		Game.advanceSkill("lockpicking", iSkillAdvance*2)
		VampireChangeTimer = GameDaysPassed.Value + 3
	EndIf

EndEvent

Message Property VampireSunriseMessage Auto

Message Property VampireSunsetMessage Auto

Message Property VampireSleepMessage Auto

ImageSpaceModifier Property AbsorbRedImod  Auto  

Int Property iSkillAdvance Auto

Sound Property IntroSoundFX  Auto  

Sound Property OutroSoundFX  Auto  

Message Property VampireDiseaseMessage Auto

Float Property VampireChangeTimer Auto

GlobalVariable Property Gamehour Auto

GlobalVariable Property GameDaysPassed Auto

Perk Property VampireFeed Auto

xxxVampireQuest Property PlayerVampireQuest Auto

imageSpaceModifier Property VampireTransformIncreaseISMD  Auto
imageSpaceModifier Property VampireTransformDecreaseISMD  Auto 

