Scriptname xxxALCPoisonBurstPotion extends activemagiceffect  

int Property maxNumber = 2 Auto
MiscObject Property xxxWAYHuntingGroundsTrapBear Auto
MiscObject Property xxxWAYHuntingGroundsTrapBearPoison Auto
Potion Property xxxALCHPoisonBurstPotion Auto

Event OnEffectStart(actor t, actor c)
	int numberOfTraps = t.getItemCount(xxxWAYHuntingGroundsTrapBear)

	if numberOfTraps == 0
		Debug.notification("You have no bear traps to enhance.")
		t.addItem(xxxALCHPoisonBurstPotion,1,abSilent=true)
	elseif numberOfTraps >= maxNumber
		t.removeItem(xxxWAYHuntingGroundsTrapBear, maxNumber)
		t.addItem(xxxWAYHuntingGroundsTrapBearPoison, maxNumber)
	else
		t.removeItem(xxxWAYHuntingGroundsTrapBear, numberOfTraps)
		t.addItem(xxxWAYHuntingGroundsTrapBearPoison,numberOfTraps)	
	endif

EndEvent