Scriptname xxxCONMarkOfDecay extends activemagiceffect  

actor target
actor caster

Activator property FXEmptyActivator auto

Spell Property xxxCONDeadThrall Auto

Race Property DraugrRace Auto

ActorBase Property xxxCONMarkOfDecayDraugr Auto

Explosion Property xxxCONMarkOfDecayExplosion Auto

Event OnEffectStart(actor t, actor c)
	target = t
	caster = c
EndEvent

Event OnDying(actor k)
	RegisterForSingleUpdate(3.0)
EndEvent

Event OnUpdate()
	ObjectReference newRef = target.placeatme(FXEmptyActivator)
	newRef.moveTo(target, 0, 0, 20)
	target.placeatme(xxxCONMarkOfDecayExplosion)

	Weapon w1 = target.getEquippedWeapon(false)
	Weapon w2 = target.getEquippedWeapon(true)
	Armor s = target.getEquippedShield()

	target.disable()
	target.delete()
	Actor draugrRef = newRef.placeAtMe(xxxCONMarkOfDecayDraugr) as actor
	newRef.moveTo(draugrRef, 0, 0, 100)
	draugrRef.placeatme(xxxCONMarkOfDecayExplosion)

	draugrRef.damageAV("health", 10000)
	draugrRef.kill()
	draugrRef.removeAllItems()
	
	if w1
		draugrRef.addItem(w1)
	endif
	if w2
		draugrRef.addItem(w2)
	endif
	if s
		draugrRef.addItem(s)
	endif

	utility.wait(0.5)
	xxxCONDeadThrall.remotecast(newRef, caster, draugrRef)
	newRef.disable()
	newRef.delete()

	target = none
	caster = none
EndEvent
