Scriptname xxxConjurationSummonSkeletonTriggerScr extends activemagiceffect  

Message Property mNotEnough Auto

MiscObject Property iBoneArm Auto
MiscObject Property iBoneHand Auto
MiscObject Property iBoneLeg Auto
MiscObject Property iBoneFoot Auto
MiscObject Property iBoneSkull Auto
MiscObject Property iBoneRibcage Auto


SoulGem Property soulGemPetty Auto
SoulGem Property soulGemLesser Auto
SoulGem Property soulGemCommon Auto

ActorBase property aSkeleton Auto

FormList Property xxxCONSkeletonList Auto

Explosion Property xxxCONSummonSkeletonExplosion Auto

Armor Property MS11NecromancerAmulet Auto


Event OnEffectStart(Actor t, Actor c)
	if (t.getItemCount(iBoneArm) >= 2) && (t.getItemCount(iBoneLeg) >= 2) && (t.getItemCount(iBoneHand) >= 2) && (t.getItemCount(iBoneFoot) >= 2) && (t.getItemCount(iBoneSkull) >= 1) && (t.getItemCount(iBoneRibcage) >= 1) &&( (t.getItemCount(soulGemCommon) >= 1) || (t.getItemCount(soulGemLesser) >= 1) || (t.getItemCount(soulGemPetty) >= 1))


		t.removeItem(iBoneArm,2)
		t.removeItem(iBoneLeg,2)
		t.removeItem(iBoneFoot,2)
		t.removeItem(iBoneHand,2)
		t.removeItem(iBoneSkull,1)
		t.removeItem(iBoneRibcage,1)

		if (t.getItemCount(soulGemPetty) >= 1)
			t.removeItem(soulGemPetty,1)
		elseif(t.getItemCount(soulGemLesser) >= 1)
			t.removeItem(soulGemLesser,1)
		else
			t.removeItem(soulGemCommon,1)
		endif

		Actor newSkeleton = t.placeatme(aSkeleton, 1) as actor
		newSkeleton.setAV("aggression", 0)
		newSkeleton.placeAtMe(xxxCONSummonSkeletonExplosion)

		if c.isEquipped(MS11NecromancerAmulet)
			newSkeleton.modav("health", 100)
		endif

		;track it
		xxxConSkeletonList.addForm(newSkeleton)
		game.advanceskill("Conjuration",10)
	else
		mNotEnough.show()
	endif
EndEvent
