Scriptname xxxDestructionBattleOfWits extends activemagiceffect 

Float Property fFactor Auto

Event OnEffectStart(actor t, actor c)
	float damageCaster = game.querystat("Spells Learned") * fFactor

	if c.hasperk(xxxWAYNaturalization4)
		damagecaster = 0;
	elseif c.hasperk(xxxWAYNaturalization3)
		damagecaster *= 0.2;
	elseif c.hasperk(xxxWAYNaturalization2)
		damagecaster *= 0.4;
	elseif c.hasperk(xxxWAYNaturalization1)
		damagecaster *= 0.6;
	elseif c.hasperk(xxxWAYNaturalization0)
		damagecaster *= 0.8;
	endif
	float damageTarget = 2*damagecaster
	
	if (damageTarget >= t.getAV("health"))
		t.kill(c)
	else
		c.damageAV("health", damageCaster)
		t.damageAV("health", damageTarget)
	endif
EndEvent 

Perk Property xxxWAYNaturalization0 Auto
Perk Property xxxWAYNaturalization1 Auto
Perk Property xxxWAYNaturalization2 Auto
Perk Property xxxWAYNaturalization3 Auto
Perk Property xxxWAYNaturalization4 Auto
