Scriptname xxxILLUndying extends activemagiceffect  

Float Property fRadius = 25.0 Auto

Faction Property enemyFaction Auto
Faction property ownFaction Auto

bool currentlyFighting = false

Spell property xxxILLEnrageAggUpSelfSpell Auto

Actor t 
Actor combatTarget = none

Event OnEffectStart(actor target, actor caster)
	fRadius *= 21.3
	t = target
	t.addToFaction(ownFaction)
	RegisterForSingleUpdate(0.5)
EndEvent

Event OnUpdate()
	if currentlyFighting
		if combatTarget.isDead()
			combatTarget = none
			currentlyFighting = false
		endif
	else
		combatTarget = Game.findRandomActorFromRef(t, fRadius)

		if combatTarget
			if combatTarget.isInFaction(enemyFaction)
				xxxILLEnrageAggUpSelfSpell.cast(t,t)
				t.startCombat(combatTarget)
				currentlyFighting = true
			endif
		endif
	endif

	RegisterForSingleUpdate(0.5)

EndEvent

Event OnEffectFinish(actor target, actor caster)
	t.RemoveFromFaction(ownFaction)
	UnregisterForUpdate()
	t.StopCombat()
EndEvent


