Scriptname xxxMarksmanshipOverdraw2 extends activemagiceffect  

Actor target
Actor Property PlayerRef Auto

Bool set0 = false;
Bool set1 = false;

Event OnEffectStart(actor t, actor c)
	target = t
	RegisterForSingleUpdate(3.0)
EndEvent

Event OnUpdate()
	if !(set0)
		target.addperk(pPowerDraw0)
		set0 = true
		RegisterForSingleUpdate(0.5)
	elseif !(set1)
		target.addPerk(pPowerDraw1)
		set1 = true 
		RegisterForSingleUpdate(0.5)
	else
		target.addPerk(pPowerDraw2)
		if target == playerref
			m.show()
		endif
	endif
EndEvent

Event OnEffectFinish(actor t, actor c)
	if target.hasperk(pPowerDraw0)
		target.removeperk(pPowerDraw0)
	endif
	if target.hasperk(pPowerDraw1)
		target.removeperk(pPowerDraw1)
	endif
	if target.hasperk(pPowerDraw2)
		target.removeperk(pPowerDraw2)
	endif
EndEvent

Perk Property pPowerDraw0 Auto
Perk Property pPowerDraw1 Auto
Perk Property pPowerDraw2 Auto
Message Property m Auto
