Scriptname xxxPassiveShortspear extends ObjectReference  

Perk Property xxxPassiveShortspearEffect Auto
Keyword Property xxxWeapTypeShortspear Auto

Event OnEquip(actor a)
	if countShortspears(a) > 1
		a.unequipItem(a.getEquippedWeapon(true))
	endif


	if  !a.hasperk(xxxPassiveShortspearEffect)
		a.addperk(xxxPassiveShortspearEffect)
	endif

EndEvent

int Function countShortspears(actor a)

	int numberOfShortspears = 0

	weapon rW = a.getEquippedWeapon()
	weapon lW = a.getEquippedWeapon(true)

	if rW
		if rw.hasKeyword(xxxWeapTypeShortspear)
			numberOfShortspears = numberOfShortspears + 1
		endif
	endif

	if lW
		if lw.hasKeyword(xxxWeapTypeShortspear)
			numberOfShortspears = numberOfShortspears + 1
		endif
	endif
	Debug.notification("NoS: " + numberOfShortspears)
	return numberOfShortspears

EndFunction


