Scriptname xxxRACWoodElfWildCompanion extends activemagiceffect  

FormList Property xxxRACWoodElfWildCompanionFormListCave Auto
FormList Property xxxRACWoodElfWildCompanionFormListSnow Auto

Spell Property xxxRACWoodElfWildCompanionAbility Auto
Spell Property xxxRacialWoodElfResetSpell Auto

ActorBase Property xxxRACWoodElfWildCompanionWolf Auto
ActorBase Property xxxRACWoodElfWildCompanionSnowBear Auto
ActorBase Property xxxRACWoodElfWildCompanionChaurus Auto

Explosion Property xxxRACWoodElfWildCompanionExplosion Auto

MagicEffect Property xxxRACWoodElfWildCompanionCooldownEffect Auto

Event OnEffectStart(actor t, actor c)

if c.hasMagicEffect(xxxRACWoodElfWildCompanionCooldownEffect)
	Debug.notification("Wild Companion is not ready to be used.")
	return
endif

ActorBase companion = getCompanion(t.getCurrentLocation())

if companion
	ObjectReference newCompanion = t.placeAtMe(companion)
	newCompanion.placeAtMe(xxxRACWoodElfWildCompanionExplosion)
	xxxRACWoodElfWildCompanionAbility.cast(newCompanion, newCompanion)
	xxxRacialWoodElfResetSpell.cast(c,c)
else
	Debug.notification("ERROR: Companion is NONE")
endif

EndEvent


ActorBase Function getCompanion(location l)

ActorBase c

if xxxRACWoodElfWildCompanionFormListCave.hasform(l)
	c = xxxRACWoodElfWildCompanionChaurus 
elseif xxxRACWoodElfWildCompanionFormListSnow.hasform(l)
	c = xxxRACWoodElfWildCompanionSnowBear 
else
	c = xxxRACWoodElfWildCompanionWolf 
endif

return c

EndFunction