Scriptname xxxRacialdarkElfAWScript extends activemagiceffect  
{Triggers cloak when under 50% health}

import ImageSpaceModifier

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked )
actor target = getTargetActor()

if (target.GetActorValuePercentage("health") <= 0.5)
		if (target != game.getPlayer())
			int level = target.getLevel()
			if (level >= 40)
				SCloak4.cast(target)
			elseif (level >= 30)
				SCloak3.cast(target)
			elseif (level >= 20)
				SCloak2.cast(target)
			elseif (level >= 10)
				SCloak1.cast(target)
			else
				SCloak0.cast(target)
			endif
		elseif (AWRunning.getValue() == 0)
			AWISpace.applycrossfade(1)
			AWRunning.setValue(1)
			target.addperk(pAWAvoidance)
			target.addperk(pAWFireBoost)
			RegisterForSingleUpdate(30)
		endif
	endif
endEvent

Event OnUpdate()
		RemoveCrossFade(1)
		AWRunning.setValue(0)
		getTargetActor().removeperk(pAWAvoidance)
		getTargetActor().removeperk(pAWFireBoost)
EndEvent

Event OnEffectFinish(Actor target, Actor caster)
	if (target == game.getplayer())
		RemoveCrossFade(1)
		AWRunning.setValue(0)
		target.removeperk(pAWAvoidance)
		target.removeperk(pAWFireBoost)
	endif
EndEvent

Spell Property SCloak0 Auto
Spell Property SCloak1 Auto
Spell Property SCloak2 Auto
Spell Property SCloak3 Auto
Spell Property SCloak4 Auto

Perk Property pAWAvoidance Auto
Perk Property pAWFireboost Auto

GlobalVariable Property AWRunning Auto

ImageSpaceModifier Property AWISpace Auto