Scriptname xxxRestorationCleansing extends ActiveMagicEffect  

float fThreshold = 0.3

Event OnEffectStart(actor t, actor c)
		if !(t.hasMagicEffect(mChastise))
			mOnlyDuringChastise.show()
		else

			if c.hasperk(pBreachingDarkness1)
				fThreshold += 0.2
			elseif c.hasperk(pBreachingDarkness0)
				fThreshold += 0.1
			endif

			if t.getActorValuePercentage("health") <= fThreshold
				t.kill()
			else
				t.damageAV("health", -100)
			endif
		endif
EndEvent

magicEffect Property mChastise Auto

Perk Property pBreachingDarkness0 Auto
Perk Property pBreachingDarkness1 Auto

Message Property mOnlyOnUndead Auto
Message Property mOnlyDuringChastise Auto

Keyword property kwUndead Auto