Scriptname xxxRestorationPlagueSpreadScript extends activemagiceffect  

actor target
actor caster

actor newTarget

Event onEffectStart(actor t, actor c)
	target = t
	caster = c

	sPlague.cast(target,target)

	if c.hasperk(pCarrier2)
		fradius += 300
	elseif c.hasperk(pCarrier1)
		fradius += 200
	elseif c.hasperk(pCarrier0)
		fradius += 100
	endif

	if isDualCast
		fRadius *= 2
	Endif

	if c.hasperk(pPlaguelord1)
		fSpreadInterval -= 2
	elseif c.hasperk(pPlaguelord0)
		fSpreadInterval -= 1
	endif

	RegisterForSingleUpdate(fSpreadInterval)	
EndEvent

Event OnUpdate()
	newTarget = Game.FindRandomActorFromRef(target, fRadius)

	if (newTarget) && (newTarget != caster)
		sPlague.cast(newTarget,newTarget)
	endif

	newTarget = Game.FindRandomActorFromRef(target, fRadius)

	if (newTarget) && (newTarget != caster)
		sPlague.cast(newTarget,newTarget)
	endif
	RegisterForSingleUpdate(fSpreadInterval)
EndEvent

Spell Property sPlague Auto

Perk Property pCarrier0 Auto
Perk Property pCarrier1 Auto
Perk Property pCarrier2 Auto

Perk Property pPlaguelord0 Auto
Perk Property pPlaguelord1 Auto

Int fSpreadInterval = 3

Int fRadius = 100

bool Property IsDualCast = false Auto