Scriptname xxxRestorationPurgatory extends ActiveMagicEffect  

float fThreshold = 0.5

Event OnEffectStart(actor t, actor c)
	if !(t.hasKeyword(kwUndead))
		mOnlyOnUndead.show()
	else
		if !(t.hasMagicEffect(mChastise))
			mOnlyDuringChastise.show()
		else

			if c.hasperk(pBreachingDarkness1)
				fThreshold += 0.2
			elseif c.hasperk(pBreachingDarkness0)
				fThreshold += 0.1
			endif

			if t.getActorValuePercentage("health") <= fThreshold
				sExplosion.cast(t,t)
				c.pushactoraway(t,14.0)
				t.kill()
			else
				t.modAV("health", -250)
			endif
		endif
	endif
EndEvent

Spell Property sExplosion Auto

MagicEffect Property mChastise Auto

Perk Property pBreachingDarkness0 Auto
Perk Property pBreachingDarkness1 Auto

Message Property mOnlyOnUndead Auto
Message Property mOnlyDuringChastise Auto

Keyword property kwUndead Auto

