Scriptname xxxSNEAlertEffect extends activemagiceffect  

Actor selfActor
Actor Property player auto
MagicEffect Property SneakToolsCarryingBodyEffect auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	akTarget.SetAlert()
	RegisterForSingleLOSGain(akTarget, player)
	selfActor = GetTargetActor()
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	akTarget.SetAlert(false)
EndEvent

Event OnGainLOS(Actor akViewer, ObjectReference akTarget)
If(selfActor.GetCombatState() > 0)
	Dispel()
EndIf
If(player.IsTrespassing() || player.HasMagicEffect(SneakToolsCarryingBodyEffect))
	selfActor.GetCrimeFaction().SendAssaultAlarm()
	Dispel()
ElseIf(player.IsWeaponDrawn() && selfActor.GetDistance(player) <= 300)
	selfActor.GetCrimeFaction().SendAssaultAlarm()
	Dispel()
EndIf
RegisterForSingleLOSLost(akViewer, akTarget)
RegisterForSingleUpdate(2)
EndEvent

Event OnLostLOS(Actor akViewer, ObjectReference akTarget)
	RegisterForSingleLOSGain(akViewer, akTarget)
	UnregisterForUpdate()
EndEvent

Event OnUpdate()
If(selfActor.GetCombatState() > 0)
	Dispel()
EndIf
If(player.IsTrespassing() || player.HasMagicEffect(SneakToolsCarryingBodyEffect))
	selfActor.GetCrimeFaction().SendAssaultAlarm()
	Dispel()
Else
	RegisterForSingleUpdate(2)
EndIf
EndEvent

