Scriptname xxxSNEKnockedOutEffect extends activemagiceffect  

bool unconscious
float sneakSkill
Actor target
Actor property player auto
Faction property SneakToolsUnconsciousFaction auto
Spell property SneakToolsUnconsciousParalysis auto
Spell property SneakToolsUnconsciousCalm auto
Spell property SneakToolsUnconsciousCloakSpell auto
Spell property SneakToolsCarryingBodySpell auto
Idle property GetUp auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
unconscious=false
akTarget.setRestrained(true)
target = akTarget
target.AddToFaction(SneakToolsUnconsciousFaction)
target.AddSpell(SneakToolsUnconsciousParalysis)
sneakSkill=target.GetActorValue("sneak")
target.setActorValue("sneak", 1)
RegisterForSingleUpdate(1)
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
akTarget.setActorValue("sneak", sneakSkill)
akTarget.removeSpell(SneakToolsUnconsciousCloakSpell)
akTarget.setRestrained(false)
akTarget.RemoveFromFaction(SneakToolsUnconsciousFaction)
akTarget.SetUnconscious(false)
akTarget.removeSpell(SneakToolsUnconsciousCalm)
akTarget.RemoveSpell(SneakToolsUnconsciousParalysis)
akTarget.stopCombat()
akTarget.playAnimation(GetUp)
akTarget.allowPCDialogue(true)
Debug.SendAnimationEvent(akTarget, "GetUpBegin")
EndEvent

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack,  bool abBashAttack, bool abHitBlocked)
If(akAggressor != player)
	return
EndIf
If(unconscious)
	return
EndIf
	SneakToolsCarryingBodySpell.Cast(player, player)
	;target.stopCombat()
	unconscious=true
	target.setRestrained(false)
	player.PushActorAway(target, 1)
	target.SetUnconscious(true)
	target.AddToFaction(SneakToolsUnconsciousFaction)
	target.CreateDetectionEvent(player, 1)
	target.addSpell(SneakToolsUnconsciousCloakSpell)
	target.AllowPCDialogue(false)
EndEvent

Event OnUpdate()
If(!unconscious)
	Dispel()
EndIf
EndEvent

Event OnActivate(ObjectReference akActionRef)
if(akActionRef != player)
	return
EndIf
if(player.IsSneaking())
	target.OpenInventory(true)
else
	player.pushActorAway(target, 4)
endIf
SneakToolsCarryingBodySpell.Cast(player, player)
EndEvent

