Scriptname xxxSNEMaskSurroundings2 extends activemagiceffect  

Actor property playerRef auto
Spell property SneakToolsMaskSurroundingsSpell2 auto
Spell Property SneakToolsWearingMaskSpell auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	If(!akTarget.IsGuard())
		akTarget.AllowPCDialogue(false)
	EndIf

	playerRef.IsDetectedBy(akTarget)
	If(!playerRef.IsDetectedBy(akTarget))
		return
	EndIf

	If(akTarget.GetDistance(playerRef) <= 200 && (akTarget.IsGuard() || playerRef.IsSneaking() || playerRef.IsWeaponDrawn()))
		akTarget.SetLookAt(playerRef, true)
	Else
		akTarget.SetLookAt(playerRef)
	EndIf
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	If(akTarget.GetDistance(playerRef) <= 600 && playerRef.HasSpell(SneakToolsWearingMaskSpell))
		SneakToolsMaskSurroundingsSpell2.cast(akTarget, akTarget)
	Else
		akTarget.ClearLookAt()
		If(!akTarget.IsGuard())
			akTarget.AllowPCDialogue(true)
		EndIf
	EndIf
EndEvent
