Scriptname xxxSNEOilMarkerMaster extends TrapExplosiveGas

GlobalVariable Property SneakToolsPlayOilEffects auto
Explosion Property SneakToolsTrapOilExplosion01 auto

float property burnDuration = 30.0 auto
{duration that the pool burns for}
string oilAnim = "stopeffect"
string oilDisappearEvent ="end"
objectReference myLinkedRef
bool lightIsOn = False
bool property lightStaysOn = False auto

bool property deleteSelfAfterIgnition = True auto

explosion property OilExplosion auto
bool property weaponResolved = false auto hidden
int Property TrapLevel = 1 auto

Function gasExplode(objectReference causeActor)
	self.setActorCause(causeActor as actor)
	goToState("DoNothing")
	(self as objectReference).damageObject(5.0)
	myLinkedRef = getLinkedRef()
	if myLinkedRef && !lightIsOn
		lightIsOn = True
		myLinkedRef.enable()
	endif
	
endFunction

auto State waiting

event onTriggerEnter(objectReference triggerRef)
endEvent

endState

state doNothing

	event onHit(objectReference akAggressor, form akWeapon, projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked)
	endEvent

	event OnMagicEffectApply(ObjectReference akCaster, MagicEffect akEffect)
	endEvent
	
	event onTriggerEnter(objectReference triggerRef)
	endEvent
	
endState

event OnDestructionStageChanged(int aiOldStage, int aiCurrentStage)
	myLinkedRef = getLinkedRef()

	if aiCurrentStage == 2
		If(SneakToolsPlayOilEffects.GetValue() == 1)
			SneakToolsPlayOilEffects.SetValue(0)
			placeAtMe(OilExplosion)
			Utility.Wait(5)
			SneakToolsPlayOilEffects.SetValue(1)
		Else
			placeAtMe(SneakToolsTrapOilExplosion01)
		EndIf
	endif
	if aiCurrentStage < 3 && !lightIsOn && myLinkedRef
		lightIsOn = True
		myLinkedRef.enable()
	endif
	if aiCurrentStage == 3
		if deleteSelfAfterIgnition
			playanimationandwait(oilAnim, oilDisappearEvent)
		endif
		
		if !lightStaysOn && myLinkedRef
			myLinkedRef.disable()
		endif
		
		if deleteSelfAfterIgnition
			self.Disable()
		else
			self.reset()
			self.clearDestruction()
			goToState("Waiting")
		endif
	endif
endEvent

Event OnInit()
	RegisterForSingleUpdateGameTime(12)
EndEvent

Event OnUpdateGameTime()
	self.Disable()
	self.Delete()
EndEvent


