Scriptname xxxSneakQuestScript extends Quest  

bool Property playerBusted auto
bool Property detected auto

float Property SneakToolsVersion auto

Ammo Property SneakToolsRopeArrow auto
Actor Property PlayerRef auto
Armor Property SneakToolsArmorDarkCowl auto
Perk Property SneakToolsSlitThroatPerk auto
Perk Property SneakToolsKnockOutPerk auto
Perk Property SneakToolsKillSleepingPerk auto
Perk Property SneakToolsArrowsPerk auto
Faction Property SneakToolsUnconsciousFaction auto
FormList Property SneakToolsFireLightsFormList auto
Spell Property SneakToolsTeleportShopSpell auto
Topic Property SneakToolsDialTricksOfTheTrade auto
Topic Property SneakToolsDialKillingTopic auto
Quest Property SneakToolsAliasesQuest auto

Faction Property CrimeFactionEastmarch auto
Faction Property CrimeFactionFalkreath auto
Faction Property CrimeFactionHaafingar auto
Faction Property CrimeFactionHjaalmarch auto
Faction Property CrimeFactionPale auto
Faction Property CrimeFactionReach auto
Faction Property CrimeFactionRift auto
Faction Property CrimeFactionWhiterun auto
Faction Property CrimeFactionWinterhold auto
Faction Property CrimeFactionOrcs auto

int RealCrimeGoldEastMarchViolent
int RealCrimeGoldFalkreathViolent 
int RealCrimeGoldHaafingarViolent 
int RealCrimeGoldHjaalmarchViolent 
int RealCrimeGoldPaleViolent 
int RealCrimeGoldReachViolent 
int RealCrimeGoldRiftViolent 
int RealCrimeGoldWhiterunViolent 
int RealCrimeGoldWinterholdViolent 
int RealCrimeGoldOrcsViolent

int RealCrimeGoldEastMarchNonViolent
int RealCrimeGoldFalkreathNonViolent 
int RealCrimeGoldHaafingarNonViolent 
int RealCrimeGoldHjaalmarchNonViolent 
int RealCrimeGoldPaleNonViolent 
int RealCrimeGoldReachNonViolent 
int RealCrimeGoldRiftNonViolent 
int RealCrimeGoldWhiterunNonViolent 
int RealCrimeGoldWinterholdNonViolent 
int RealCrimeGoldOrcsNonViolent

int FakeCrimeGoldEastMarchViolent 
int FakeCrimeGoldFalkreathViolent 
int FakeCrimeGoldHaafingarViolent 
int FakeCrimeGoldHjaalmarchViolent 
int FakeCrimeGoldPaleViolent 
int FakeCrimeGoldReachViolent 
int FakeCrimeGoldRiftViolent 
int FakeCrimeGoldWhiterunViolent 
int FakeCrimeGoldWinterholdViolent 
int FakeCrimeGoldOrcsViolent

int FakeCrimeGoldEastMarchNonViolent 
int FakeCrimeGoldFalkreathNonViolent 
int FakeCrimeGoldHaafingarNonViolent 
int FakeCrimeGoldHjaalmarchNonViolent 
int FakeCrimeGoldPaleNonViolent 
int FakeCrimeGoldReachNonViolent 
int FakeCrimeGoldRiftNonViolent 
int FakeCrimeGoldWhiterunNonViolent 
int FakeCrimeGoldWinterholdNonViolent 
int FakeCrimeGoldOrcsNonViolent

Event OnReset()
RealCrimeGoldEastMarchViolent=0
RealCrimeGoldFalkreathViolent =0
RealCrimeGoldHaafingarViolent =0
RealCrimeGoldHjaalmarchViolent =0
RealCrimeGoldPaleViolent =0
RealCrimeGoldReachViolent =0
RealCrimeGoldRiftViolent =0
RealCrimeGoldWhiterunViolent =0
RealCrimeGoldWinterholdViolent =0
RealCrimeGoldOrcsViolent = 0

RealCrimeGoldEastMarchNonViolent=0
RealCrimeGoldFalkreathNonViolent =0
RealCrimeGoldHaafingarNonViolent =0
RealCrimeGoldHjaalmarchNonViolent =0
RealCrimeGoldPaleNonViolent =0
RealCrimeGoldReachNonViolent =0
RealCrimeGoldRiftNonViolent =0
RealCrimeGoldWhiterunNonViolent =0
RealCrimeGoldWinterholdNonViolent =0
RealCrimeGoldOrcsNonViolent = 0

FakeCrimeGoldEastMarchViolent =0
FakeCrimeGoldFalkreathViolent =0
FakeCrimeGoldHaafingarViolent =0
FakeCrimeGoldHjaalmarchViolent =0
FakeCrimeGoldPaleViolent =0
FakeCrimeGoldReachViolent =0
FakeCrimeGoldRiftViolent =0
FakeCrimeGoldWhiterunViolent =0
FakeCrimeGoldWinterholdViolent =0
FakeCrimeGoldOrcsViolent = 0

FakeCrimeGoldEastMarchNonViolent =0
FakeCrimeGoldFalkreathNonViolent =0
FakeCrimeGoldHaafingarNonViolent =0
FakeCrimeGoldHjaalmarchNonViolent =0
FakeCrimeGoldPaleNonViolent =0
FakeCrimeGoldReachNonViolent =0
FakeCrimeGoldRiftNonViolent =0
FakeCrimeGoldWhiterunNonViolent =0
FakeCrimeGoldWinterholdNonViolent =0
FakeCrimeGoldOrcsNonViolent = 0
EndEvent

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;EQUIPPING;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Function SneakToolsEquipFaceMaskFunction()
	UnregisterForUpdateGameTime()
	If(playerBusted)
		return
	ElseIf(detected)
		playerBusted=true
		SneakToolsUnsuccesfulEquipFaceMaskFunction()
		Debug.Notification("My true identity was recognised!")
	Else
		SneakToolsUpdateRealCrimeGold()
		SneakToolsSuccesfulEquipFaceMaskFunction()
		playerRef.StopCombatAlarm()
	EndIf
	detected = false
EndFunction

Function SneakToolsSuccesfulEquipFaceMaskFunction()
	CrimeFactionEastmarch.SetCrimeGold(FakeCrimeGoldEastmarchNonViolent)
	CrimeFactionEastmarch.SetCrimeGoldViolent(FakeCrimeGoldEastmarchViolent)
	CrimeFactionFalkreath.SetCrimeGold(FakeCrimeGoldFalkreathNonViolent)
	CrimeFactionFalkreath.SetCrimeGoldViolent(FakeCrimeGoldFalkreathViolent)
	CrimeFactionHaafingar.SetCrimeGold(FakeCrimeGoldHaafingarNonViolent)
	CrimeFactionHaafingar.SetCrimeGoldViolent(FakeCrimeGoldHaafingarViolent)
	CrimeFactionHjaalmarch.SetCrimeGold(FakeCrimeGoldHjaalmarchNonViolent)
	CrimeFactionHjaalmarch.SetCrimeGoldViolent(FakeCrimeGoldHjaalmarchViolent)
	CrimeFactionPale.SetCrimeGold(FakeCrimeGoldPaleNonViolent)
	CrimeFactionPale.SetCrimeGoldViolent(FakeCrimeGoldPaleViolent)
	CrimeFactionReach.SetCrimeGold(FakeCrimeGoldReachNonViolent)
	CrimeFactionReach.SetCrimeGoldViolent(FakeCrimeGoldReachViolent)
	CrimeFactionRift.SetCrimeGold(FakeCrimeGoldRiftNonViolent)
	CrimeFactionRift.SetCrimeGoldViolent(FakeCrimeGoldRiftViolent)
	CrimeFactionWhiterun.SetCrimeGold(FakeCrimeGoldWhiterunNonViolent)
	CrimeFactionWhiterun.SetCrimeGoldViolent(FakeCrimeGoldWhiterunViolent)
	CrimeFactionWinterhold.SetCrimeGold(FakeCrimeGoldWinterholdNonViolent)
	CrimeFactionWinterhold.SetCrimeGoldViolent(FakeCrimeGoldWinterholdViolent)
	CrimeFactionOrcs.SetCrimeGold(FakeCrimeGoldOrcsNonViolent)
	CrimeFactionOrcs.SetCrimeGoldViolent(FakeCrimeGoldOrcsViolent)
EndFunction

Function SneakToolsUnsuccesfulEquipFaceMaskFunction()
	CrimeFactionEastmarch.ModCrimeGold(FakeCrimeGoldEastmarchNonViolent)
	CrimeFactionEastmarch.ModCrimeGold(FakeCrimeGoldEastmarchViolent, true)
	CrimeFactionFalkreath.ModCrimeGold(FakeCrimeGoldFalkreathNonViolent)
	CrimeFactionFalkreath.ModCrimeGold(FakeCrimeGoldFalkreathViolent, true)
	CrimeFactionHaafingar.ModCrimeGold(FakeCrimeGoldHaafingarNonViolent)
	CrimeFactionHaafingar.ModCrimeGold(FakeCrimeGoldHaafingarViolent, true)
	CrimeFactionHjaalmarch.ModCrimeGold(FakeCrimeGoldHjaalmarchNonViolent)
	CrimeFactionHjaalmarch.ModCrimeGold(FakeCrimeGoldHjaalmarchViolent, true)
	CrimeFactionPale.ModCrimeGold(FakeCrimeGoldPaleNonViolent)
	CrimeFactionPale.ModCrimeGold(FakeCrimeGoldPaleViolent, true)
	CrimeFactionReach.ModCrimeGold(FakeCrimeGoldReachNonViolent)
	CrimeFactionReach.ModCrimeGold(FakeCrimeGoldReachViolent, true)
	CrimeFactionRift.ModCrimeGold(FakeCrimeGoldRiftNonViolent)
	CrimeFactionRift.ModCrimeGold(FakeCrimeGoldRiftViolent, true)
	CrimeFactionWhiterun.ModCrimeGold(FakeCrimeGoldWhiterunNonViolent)
	CrimeFactionWhiterun.ModCrimeGold(FakeCrimeGoldWhiterunViolent, true)
	CrimeFactionWinterhold.ModCrimeGold(FakeCrimeGoldWinterholdNonViolent)
	CrimeFactionWinterhold.ModCrimeGold(FakeCrimeGoldWinterholdViolent, true)
	CrimeFactionOrcs.ModCrimeGold(FakeCrimeGoldOrcsNonViolent)
	CrimeFactionOrcs.ModCrimeGold(FakeCrimeGoldOrcsViolent, true)
	SneakToolsResetFakeCrimeGold()
EndFunction
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;EQUIPPING;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;UNEQUIPPING;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Function SneakToolsUnequipFaceMaskFunction()
	if(detected)
		RegisterForSingleUpdateGameTime(48)
		If(!playerBusted)
			SneakToolsUnsuccesfulUnequipFaceMaskFunction()
			playerBusted=true
		EndIf
	Else
		RegisterForSingleUpdateGameTime(24)
		If(!playerBusted)
			SneakToolsUpdateFakeCrimeGold()
			SneakToolsSuccesfulUnequipFaceMaskFunction()
			playerRef.StopCombatAlarm()
		EndIf
	EndIf
	detected = false
EndFunction

Function SneakToolsSuccesfulUnequipFaceMaskFunction()
	CrimeFactionEastmarch.SetCrimeGold(RealCrimeGoldEastMarchNonViolent)
	CrimeFactionEastmarch.SetCrimeGoldViolent(RealCrimeGoldEastMarchViolent)
	CrimeFactionFalkreath.SetCrimeGold(RealCrimeGoldFalkreathNonViolent)
	CrimeFactionFalkreath.SetCrimeGoldViolent(RealCrimeGoldFalkreathViolent)
	CrimeFactionHaafingar.SetCrimeGold(RealCrimeGoldHaafingarNonViolent)
	CrimeFactionHaafingar.SetCrimeGoldViolent(RealCrimeGoldHaafingarViolent)
	CrimeFactionHjaalmarch.SetCrimeGold(RealCrimeGoldHjaalmarchNonViolent)
	CrimeFactionHjaalmarch.SetCrimeGoldViolent(RealCrimeGoldHjaalmarchViolent)
	CrimeFactionPale.SetCrimeGold(RealCrimeGoldPaleNonViolent)
	CrimeFactionPale.SetCrimeGoldViolent(RealCrimeGoldPaleViolent)
	CrimeFactionReach.SetCrimeGold(RealCrimeGoldReachNonViolent)
	CrimeFactionReach.SetCrimeGoldViolent(RealCrimeGoldReachViolent)
	CrimeFactionRift.SetCrimeGold(RealCrimeGoldRiftNonViolent)
	CrimeFactionRift.SetCrimeGoldViolent(RealCrimeGoldRiftViolent)
	CrimeFactionWhiterun.SetCrimeGold(RealCrimeGoldWhiterunNonViolent)
	CrimeFactionWhiterun.SetCrimeGoldViolent(RealCrimeGoldWhiterunViolent)
	CrimeFactionWinterhold.SetCrimeGold(RealCrimeGoldWinterholdNonViolent)
	CrimeFactionWinterhold.SetCrimeGoldViolent(RealCrimeGoldWinterholdViolent)
	CrimeFactionOrcs.SetCrimeGold(RealCrimeGoldOrcsNonViolent)
	CrimeFactionOrcs.SetCrimeGoldViolent(RealCrimeGoldOrcsViolent)
EndFunction

Function SneakToolsUnsuccesfulUnequipFaceMaskFunction()
	CrimeFactionEastmarch.ModCrimeGold(RealCrimeGoldEastMarchNonViolent)
	CrimeFactionEastmarch.ModCrimeGold(RealCrimeGoldEastMarchViolent, true)
	CrimeFactionFalkreath.ModCrimeGold(RealCrimeGoldFalkreathNonViolent)
	CrimeFactionFalkreath.ModCrimeGold(RealCrimeGoldFalkreathViolent, true)
	CrimeFactionHaafingar.ModCrimeGold(RealCrimeGoldHaafingarNonViolent)
	CrimeFactionHaafingar.ModCrimeGold(RealCrimeGoldHaafingarViolent, true)
	CrimeFactionHjaalmarch.ModCrimeGold(RealCrimeGoldHjaalmarchNonViolent)
	CrimeFactionHjaalmarch.ModCrimeGold(RealCrimeGoldHjaalmarchViolent, true)
	CrimeFactionPale.ModCrimeGold(RealCrimeGoldPaleNonViolent)
	CrimeFactionPale.ModCrimeGold(RealCrimeGoldPaleViolent, true)
	CrimeFactionReach.ModCrimeGold(RealCrimeGoldReachNonViolent)
	CrimeFactionReach.ModCrimeGold(RealCrimeGoldReachViolent, true)
	CrimeFactionRift.ModCrimeGold(RealCrimeGoldRiftNonViolent)
	CrimeFactionRift.ModCrimeGold(RealCrimeGoldRiftViolent, true)
	CrimeFactionWhiterun.ModCrimeGold(RealCrimeGoldWhiterunNonViolent)
	CrimeFactionWhiterun.ModCrimeGold(RealCrimeGoldWhiterunViolent, true)
	CrimeFactionWinterhold.ModCrimeGold(RealCrimeGoldWinterholdNonViolent)
	CrimeFactionWinterhold.ModCrimeGold(RealCrimeGoldWinterholdViolent, true)
	CrimeFactionOrcs.ModCrimeGold(RealCrimeGoldOrcsNonViolent)
	CrimeFactionOrcs.ModCrimeGold(RealCrimeGoldOrcsViolent, true)
	SneakToolsResetFakeCrimeGold()
EndFunction
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;UNEQUIPPING;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Function SneakToolsUpdateRealCrimeGold()
	RealCrimeGoldEastMarchViolent = CrimeFactionEastmarch.GetCrimeGoldViolent()
	RealCrimeGoldFalkreathViolent = CrimeFactionFalkreath.GetCrimeGoldViolent()
	RealCrimeGoldHaafingarViolent = CrimeFactionHaafingar.GetCrimeGoldViolent()
	RealCrimeGoldHjaalmarchViolent = CrimeFactionHjaalmarch.GetCrimeGoldViolent()
	RealCrimeGoldPaleViolent = CrimeFactionPale.GetCrimeGoldViolent()
	RealCrimeGoldReachViolent = CrimeFactionReach.GetCrimeGoldViolent()
	RealCrimeGoldRiftViolent = CrimeFactionRift.GetCrimeGoldViolent()
	RealCrimeGoldWhiterunViolent = CrimeFactionWhiterun.GetCrimeGoldViolent()
	RealCrimeGoldWinterholdViolent = CrimeFactionWinterhold.GetCrimeGoldViolent()
	RealCrimeGoldOrcsViolent = CrimeFactionOrcs.GetCrimeGoldViolent()

	RealCrimeGoldEastMarchNonViolent = CrimeFactionEastmarch.GetCrimeGoldNonViolent()
	RealCrimeGoldFalkreathNonViolent = CrimeFactionFalkreath.GetCrimeGoldNonViolent()
	RealCrimeGoldHaafingarNonViolent = CrimeFactionHaafingar.GetCrimeGoldNonViolent()
	RealCrimeGoldHjaalmarchNonViolent = CrimeFactionHjaalmarch.GetCrimeGoldNonViolent()
	RealCrimeGoldPaleNonViolent = CrimeFactionPale.GetCrimeGoldNonViolent()
	RealCrimeGoldReachNonViolent = CrimeFactionReach.GetCrimeGoldNonViolent()
	RealCrimeGoldRiftNonViolent = CrimeFactionRift.GetCrimeGoldNonViolent()
	RealCrimeGoldWhiterunNonViolent = CrimeFactionWhiterun.GetCrimeGoldNonViolent()
	RealCrimeGoldWinterholdNonViolent = CrimeFactionWinterhold.GetCrimeGoldNonViolent()
	RealCrimeGoldOrcsNonViolent = CrimeFactionOrcs.GetCrimeGoldNonViolent()
EndFunction

Function SneakToolsUpdateFakeCrimeGold()
	FakeCrimeGoldEastMarchViolent = CrimeFactionEastmarch.GetCrimeGoldViolent()
	FakeCrimeGoldFalkreathViolent = CrimeFactionFalkreath.GetCrimeGoldViolent()
	FakeCrimeGoldHaafingarViolent = CrimeFactionHaafingar.GetCrimeGoldViolent()
	FakeCrimeGoldHjaalmarchViolent = CrimeFactionHjaalmarch.GetCrimeGoldViolent()
	FakeCrimeGoldPaleViolent = CrimeFactionPale.GetCrimeGoldViolent()
	FakeCrimeGoldReachViolent = CrimeFactionReach.GetCrimeGoldViolent()
	FakeCrimeGoldRiftViolent = CrimeFactionRift.GetCrimeGoldViolent()
	FakeCrimeGoldWhiterunViolent = CrimeFactionWhiterun.GetCrimeGoldViolent()
	FakeCrimeGoldWinterholdViolent = CrimeFactionWinterhold.GetCrimeGoldViolent()
	FakeCrimeGoldOrcsViolent = CrimeFactionOrcs.GetCrimeGoldViolent()

	FakeCrimeGoldEastMarchNonViolent = CrimeFactionEastmarch.GetCrimeGoldNonViolent()
	FakeCrimeGoldFalkreathNonViolent = CrimeFactionFalkreath.GetCrimeGoldNonViolent()
	FakeCrimeGoldHaafingarNonViolent = CrimeFactionHaafingar.GetCrimeGoldNonViolent()
	FakeCrimeGoldHjaalmarchNonViolent = CrimeFactionHjaalmarch.GetCrimeGoldNonViolent()
	FakeCrimeGoldPaleNonViolent = CrimeFactionPale.GetCrimeGoldNonViolent()
	FakeCrimeGoldReachNonViolent = CrimeFactionReach.GetCrimeGoldNonViolent()
	FakeCrimeGoldRiftNonViolent = CrimeFactionRift.GetCrimeGoldNonViolent()
	FakeCrimeGoldWhiterunNonViolent = CrimeFactionWhiterun.GetCrimeGoldNonViolent()
	FakeCrimeGoldWinterholdNonViolent = CrimeFactionWinterhold.GetCrimeGoldNonViolent()
	FakeCrimeGoldOrcsNonViolent = CrimeFactionOrcs.GetCrimeGoldNonViolent()
EndFunction

Function SneakToolsResetFakeCrimeGold()
FakeCrimeGoldEastMarchViolent = 0
FakeCrimeGoldFalkreathViolent  = 0
FakeCrimeGoldHaafingarViolent  = 0
FakeCrimeGoldHjaalmarchViolent  = 0
FakeCrimeGoldPaleViolent  = 0
FakeCrimeGoldReachViolent  = 0
FakeCrimeGoldRiftViolent  = 0
FakeCrimeGoldWhiterunViolent  = 0
FakeCrimeGoldWinterholdViolent  = 0
FakeCrimeGoldOrcsViolent = 0

FakeCrimeGoldEastMarchNonViolent  = 0
FakeCrimeGoldFalkreathNonViolent  = 0
FakeCrimeGoldHaafingarNonViolent  = 0
FakeCrimeGoldHjaalmarchNonViolent  = 0
FakeCrimeGoldPaleNonViolent  = 0
FakeCrimeGoldReachNonViolent  = 0
FakeCrimeGoldRiftNonViolent  = 0
FakeCrimeGoldWhiterunNonViolent  = 0
FakeCrimeGoldWinterholdNonViolent  = 0
FakeCrimeGoldOrcsNonViolent = 0
EndFunction

Function setPlayerBusted(bool busted)
	playerBusted=busted
EndFunction

FormList Property TrapGasWeapon auto
Explosion Property SneakToolsTrapOilExplosionInitial auto
Explosion Property SneakToolsTrapOilExplosion01 auto
Explosion Property SneakToolsTrapOilExplosionMaster auto

Function initSneakTools()
;	playerRef.AddPerk(SneakToolsSlitThroatPerk)
;	playerRef.AddPerk(SneakToolsKnockOutPerk)
;	playerRef.AddPerk(SneakToolsKillSleepingPerk)
	playerRef.AddPerk(SneakToolsArrowsPerk)
	playerRef.AddToFaction(SneakToolsUnconsciousFaction)
;	playerRef.AddSpell(SneakToolsTeleportShopSpell)

;	SneakToolsDialTricksOfTheTrade.Add()

	(Game.GetForm(0x00082E17) As FormList).AddForm(Game.GetFormFromFile(0x0008A735, "SkyRe_Main.esp"))
	TrapGasWeapon.AddForm(SneakToolsTrapOilExplosionInitial)
	TrapGasWeapon.AddForm(SneakToolsTrapOilExplosion01)
	TrapGasWeapon.AddForm(SneakToolsTrapOilExplosionMaster)

	AddClaraluxLights()

	RegisterForSingleUpdate(3)
EndFunction

Function addClaraluxLights()
	If(Game.GetFormFromFile(0x00003FAA, "CLARALUX - More and Brighter Lights.esm") == None)		;Claralux not installed
		return
	EndIf

	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00003FAA, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00003FE1, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00003FA8, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00003FE2, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00003FA5, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00003FA4, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00003FA6, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00003FA9, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00003FAD, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00004021, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x000018BE, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00001E7B, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x0000131B, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00006E9E, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00006E91, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00006E92, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00006E93, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00006E94, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00006E95, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x000079BB, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x0000143E, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x0000140A, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00003FAC, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x000013EC, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00001485, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00002180, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x00001414, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x000079AB, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x000079A7, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x000079A8, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x000079A9, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x000079AA, "CLARALUX - More and Brighter Lights.esm"))
	SneakToolsFireLightsFormList.AddForm(Game.GetFormFromFile(0x000079A6, "CLARALUX - More and Brighter Lights.esm"))
EndFunction

Event OnUpdateGameTime()
	SneakToolsResetFakeCrimeGold()
	playerBusted=false
EndEvent

Event OnUpdate()
	SneakToolsAliasesQuest.Stop()
	SneakToolsAliasesQuest.Start()
	RegisterForSingleUpdate(3)
EndEvent

