Scriptname xxxVampireFollowerAliasScript extends ReferenceAlias  

xxxDialogueVampireFollowerScript Property sDialogueVampireFollower Auto

Event OnUpdateGameTime()

	;kill the update if the follower isn't waiting anymore
	If Self.GetActorRef().GetAv("WaitingforPlayer") == 0
		UnRegisterForUpdateGameTime()
	Else
		sDialogueVampireFollower.DismissFollower(5)
		UnRegisterForUpdateGameTime()
	EndIf	
	
EndEvent

Event OnUnload()

	;if follower unloads while waiting for the player, wait three days then dismiss him.
	If Self.GetActorRef().GetAv("WaitingforPlayer") == 1
		(GetOwningQuest() as  xxxDialogueVampireFollowerScript).FollowerWait()
	EndIf

EndEvent

Event OnCombatStateChanged(Actor akTarget, int aeCombatState)

	If (akTarget == Game.GetPlayer())
		(GetOwningQuest() as xxxDialogueVampireFollowerScript).DismissFollower(0, 0)
	EndIf

EndEvent

Event OnDeath(Actor akKiller)

	gVampireFollowerCount.Mod(-1)
	Self.GetActorRef().RemoveFromFaction(fVampireFollowerFaction)
	Self.Clear()
	
EndEvent

GlobalVariable Property gVampireFollowerCount  Auto  
Faction Property fVampireFollowerFaction Auto
